For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
      • GETReturns all custom field definitions.
      • POSTCreates a new custom field definition.
      • PUTUpdates the custom field definition with the specified id.
      • DELDeletes the custom field definition with the specified Id.
      • POSTCreates a custom field selection option for an existing custom field definition.
      • PUTUpdates a custom field selection option for an existing custom field definition.
      • DELDeletes a custom field selection option for an existing custom field definition.
      • GETReturns all custom field definitions linked to the specified project, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition linked to the specified project.
      • POSTLinks a custom field definition to the specified project.
      • POSTSets custom field values for a project.
      • POSTUnlinks a custom field definition from the specified project.
      • GETReturns all custom field definitions linked to the specified project template, including definitions linked via a workflow.
      • PUTUpdates the order of a custom field definition for the specified project template.
      • POSTLinks a custom field definition to the specified project template.
      • POSTSets the custom fields for a project template.
      • POSTUnlinks a custom field definition from the specified project template.
      • POSTSets the custom fields for a task.
      • POSTSets the custom fields for the specified task template.
      • GETReturns all custom field definitions linked to a workflow.
      • PUTUpdates the order of a custom field definition linked to a workflow.
      • POSTLinks a custom field definition to a workflow.
      • POSTUnlinks a custom field definition from a workflow.
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCustom Fields

Sets the custom fields for the specified task template.

POST
https://api.awork.com/api/v1/tasktemplates/:taskTemplateId/setcustomfields
POST
/api/v1/tasktemplates/:taskTemplateId/setcustomfields
$curl -X POST https://api.awork.com/api/v1/tasktemplates/taskTemplateId/setcustomfields \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000"
> }
>]'
The required properties depend on the type of the custom field. Only task templates which are linked to a project template may have custom fields set. <Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Returns all custom field definitions linked to a workflow.

Next
Built with

The required properties depend on the type of the custom field. Only task templates which are linked to a project template may have custom fields set.

Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskTemplateIdstringRequiredformat: "uuid"
The id of the task template to set custom fields for.

Request

The model containing the details for setting the custom fields for a task template.
customFieldDefinitionIdstringRequiredformat: "uuid"
The custom field definition id.
userIdValuestring or nullOptionalformat: "uuid"
The user id. The user id can be set for custom field type 'user'.
clientIdValuestring or nullOptionalformat: "uuid"
The client id. The client id can be set for custom field type 'client'.
numberValuedouble or nullOptional
The number value. The number value can be set for custom field type 'number'.
selectionOptionIdValuestring or nullOptionalformat: "uuid"
The selection option id value. The id can be set for custom field types 'select' and 'coloredSelect'.
textValuestring or nullOptional<=750 characters
The text value. The text value can be set for custom field types 'text' and 'link'.
dateValuestring or nullOptionalformat: "date-time"
The date value. The date value can be set for custom field types 'date' and 'datetime'.
booleanValueboolean or nullOptional
The boolean value. The boolean value can be set for custom field type 'boolean'.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error